Package org.apache.jmeter.engine.event

# Interface LoopIterationListener

All Known Subinterfaces:
  `IteratingController`

All Known Implementing Classes:
  `CompareAssertion`, `CounterConfig`, `CSVDataSet`, `ForeachController`, `LoopController`, `OnceOnlyController`, `RandomVariableConfig`, `ThroughputController`, `UserParameters`, `WhileController`

public interface LoopIterationListener
Allows a class to receive loop iteration start events.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `iterationStart(LoopIterationEvent iterEvent)`
  Called when a loop iteration is about to start.

- ## Method Details

  - ### iterationStart

    void iterationStart(LoopIterationEvent iterEvent)
    Called when a loop iteration is about to start.
    Parameters:
      `iterEvent` - the event